export const colorLegend = (selection, props) => {
  const { colorScale, spacing, textOffset, circleRadius } = props;
  
  
  const groups = selection.selectAll('g')
    .data(colorScale.domain());
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
  		/*i * 1(80 = spacing) 
      .attr('transform', (d, i) =>
        `translate(${i * spacing}, 0)`
      );
      */
  		//we want to go vertically
  		.attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );
  groups.exit().remove();
  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', circleRadius)
      .attr('fill', d => colorScale(d));
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
  		.attr('dy', '0.32em')
      //.attr('y', textOffset);
  		.attr('x', textOffset);
}