import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';

const svg = select('svg');

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'orange', 'lime', 'strawberry pear'])
  .range(['#c11d1d', '#eae600', '#ed9c11', '#487d1a', '#f04da4']);

svg.append('g')
	//gives the controls of the const elements over the parent node where the legend appears
	.attr('transform', `translate(100, 80)`)
	.call(colorLegend, {
  colorScale,
  spacing : 80,
  textOffset : 45,
  circleRadius : 35
	});


/*
svg.call(colorLegend, {
  colorScale,
  height : +svg.attr('height'),
  circleRadius : 30
	});
  
  ...is the same as...

colorLegend(svg, {
  colorScale,
  height : +svg.attr('height'),
  circleRadius : 30
	});
*/

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

svg.append('g')
	.attr('transform', `translate(600, 80)`)
	.call(sizeLegend, {
  sizeScale,
  spacing : 80,
  numTicks : 5,
  textOffset : 10,
  circleFill : 'rgba(2, 39, 79, 0.6)'
	});