export const sizeLegend = (selection, props) => {
  const { sizeScale, spacing, numTicks, textOffset, circleFill } = props;
  
  //console.log(sizeScale.ticks(5).filter(d => d !== 0));
  
  const ticks = sizeScale.ticks(numTicks)
  	.filter(d => d !== 0)
  	.reverse();
  
  
  const groups = selection.selectAll('g').data(ticks);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
  		//we want to go vertically
  		.attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );
  groups.exit().remove();
  
  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', sizeScale)
      .attr('fill', circleFill);
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
  		.attr('dy', '0.32em')
  		.attr('class', 'legendText')
      // + textOffset => distance from the center of the circle
  		.attr('x', d => sizeScale(d) + textOffset);
  
}